This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
problem installing moitessier firmware
#41
learned something again Smile Have fun on the water
Reply
#42
(2020-07-30, 09:17 AM)Max1947 Wrote:
(2020-07-30, 05:16 AM)nebosa Wrote: But you can find the file Smile
That's a good thing.
Unfortunately, the file is an incorrect file.
Unfortunately the forum software changes the link when I send it.
If you want to start another try please send me your email address as a PM here in the forum

... Big Grin Thanks friend, the problem is in the Raspy kernel which blocks the "serial" with the MSC card mounted. Thomas, your countryman, is providing ... see: https://forum.openmarine.net/showthread....7#pid15187

We feel and still good wind. Magnificent sunshine today, so sail!  Smile

(2020-07-29, 09:51 PM)Rooco Wrote:
(2020-07-29, 09:32 PM)Max1947 Wrote:
(2020-07-29, 09:27 PM)nebosa Wrote: ahhh Smile now:
sudo dpkg -i moitessier_5.4.51_2.1.0_armhf.deb

Cool https://i.imgur.com/ovsipMq.png

Entschuldigung, aber ich muss zuerst verstehen, was und wie ich mache ... Google macht seinen Job auch auf Deutsch? Wie auch immer, morgen, wenn es immer noch schlechtes Wetter ist, anstatt mit dem Boot zu fahren, werde ich es mit einem neuen Sd von Grund auf versuchen ...

(Sorry but I must first understand what and how to do ... google does its job in German too? Anyway tomorrow, if it's still bad weather, instead of going by boat, I'll try with a new Sd from scratch ...) Undecided

You SHOULD NOT install moitessier_5.4.51_2.1.0_armhf.deb!!!!!
You are always trying to install the wrong package.


Use the package found at our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
Package name: moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb

Ok, see: https://i.imgur.com/7ZxO6Mz.png

However it seems that the problem is this: https://forum.openmarine.net/showthread....7#pid15187   Angry

Just to ensure we are all talking about the same issue. Your problem is, that the installation of the Moitessier package fails due to an input/output error. Is that correct?
This error is caused by using a none compatible Moitessier package / kernel version combination.

I tested the package again yesterday.
This is my setup:
# Raspberry Pi 4 with HAT 1 and HAT 2
# Used OpenPlotter image: 2020-03-24-OpenPlotter-v2-Moitessier-HAT-img
# sudo apt-get update
# sudo apt-get upgrade
# sudo apt-get dist-upgrade --> these commands will install kernel version 5.4.51 on your system
# Download the latest Moitessier package (moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb) from our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
# Install the package: sudo dpkg -i moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb
# Check if HAT is accessible (after reboot): cat /dev/moitessier.spi
Reply
#43
(2020-07-30, 09:42 AM)Rooco Wrote:
(2020-07-30, 09:17 AM)Max1947 Wrote:
(2020-07-30, 05:16 AM)nebosa Wrote: But you can find the file Smile
That's a good thing.
Unfortunately, the file is an incorrect file.
Unfortunately the forum software changes the link when I send it.
If you want to start another try please send me your email address as a PM here in the forum

... Big Grin Thanks friend, the problem is in the Raspy kernel which blocks the "serial" with the MSC card mounted. Thomas, your countryman, is providing ... see: https://forum.openmarine.net/showthread....7#pid15187

We feel and still good wind. Magnificent sunshine today, so sail!  Smile

(2020-07-29, 09:51 PM)Rooco Wrote:
(2020-07-29, 09:32 PM)Max1947 Wrote:
(2020-07-29, 09:27 PM)nebosa Wrote: ahhh Smile now:
sudo dpkg -i moitessier_5.4.51_2.1.0_armhf.deb

Cool https://i.imgur.com/ovsipMq.png

Entschuldigung, aber ich muss zuerst verstehen, was und wie ich mache ... Google macht seinen Job auch auf Deutsch? Wie auch immer, morgen, wenn es immer noch schlechtes Wetter ist, anstatt mit dem Boot zu fahren, werde ich es mit einem neuen Sd von Grund auf versuchen ...

(Sorry but I must first understand what and how to do ... google does its job in German too? Anyway tomorrow, if it's still bad weather, instead of going by boat, I'll try with a new Sd from scratch ...) Undecided

You SHOULD NOT install moitessier_5.4.51_2.1.0_armhf.deb!!!!!
You are always trying to install the wrong package.


Use the package found at our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
Package name: moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb

Ok, see: https://i.imgur.com/7ZxO6Mz.png

However it seems that the problem is this: https://forum.openmarine.net/showthread....7#pid15187   Angry

Just to ensure we are all talking about the same issue. Your problem is, that the installation of the Moitessier package fails due to an input/output error. Is that correct?
This error is caused by using a none compatible Moitessier package / kernel version combination.

I tested the package again yesterday.
This is my setup:
# Raspberry Pi 4 with HAT 1 and HAT 2
# Used OpenPlotter image: 2020-03-24-OpenPlotter-v2-Moitessier-HAT-img
# sudo apt-get update
# sudo apt-get upgrade
# sudo apt-get dist-upgrade --> these commands will install kernel version 5.4.51 on your system
# Download the latest Moitessier package (moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb) from our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
# Install the package: sudo dpkg -i moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb
# Check if HAT is accessible (after reboot): cat /dev/moitessier.spi

Okay, this gives me: https://i.imgur.com/EJeeu5j.png

Tonight I will try with a new SD on Raspy 4 and HAT v.1 and without MCS card. I'll let you know. Thanks anyway and good wind!  Cool
Reply
#44
(2020-07-30, 09:50 AM)Max1947 Wrote:
(2020-07-30, 09:42 AM)Rooco Wrote:
(2020-07-30, 09:17 AM)Max1947 Wrote:
(2020-07-30, 05:16 AM)nebosa Wrote: But you can find the file Smile
That's a good thing.
Unfortunately, the file is an incorrect file.
Unfortunately the forum software changes the link when I send it.
If you want to start another try please send me your email address as a PM here in the forum

... Big Grin Thanks friend, the problem is in the Raspy kernel which blocks the "serial" with the MSC card mounted. Thomas, your countryman, is providing ... see: https://forum.openmarine.net/showthread....7#pid15187

We feel and still good wind. Magnificent sunshine today, so sail!  Smile

(2020-07-29, 09:51 PM)Rooco Wrote:
(2020-07-29, 09:32 PM)Max1947 Wrote: Cool https://i.imgur.com/ovsipMq.png

Entschuldigung, aber ich muss zuerst verstehen, was und wie ich mache ... Google macht seinen Job auch auf Deutsch? Wie auch immer, morgen, wenn es immer noch schlechtes Wetter ist, anstatt mit dem Boot zu fahren, werde ich es mit einem neuen Sd von Grund auf versuchen ...

(Sorry but I must first understand what and how to do ... google does its job in German too? Anyway tomorrow, if it's still bad weather, instead of going by boat, I'll try with a new Sd from scratch ...) Undecided

You SHOULD NOT install moitessier_5.4.51_2.1.0_armhf.deb!!!!!
You are always trying to install the wrong package.


Use the package found at our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
Package name: moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb

Ok, see: https://i.imgur.com/7ZxO6Mz.png

However it seems that the problem is this: https://forum.openmarine.net/showthread....7#pid15187   Angry

Just to ensure we are all talking about the same issue. Your problem is, that the installation of the Moitessier package fails due to an input/output error. Is that correct?
This error is caused by using a none compatible Moitessier package / kernel version combination.

I tested the package again yesterday.
This is my setup:
# Raspberry Pi 4 with HAT 1 and HAT 2
# Used OpenPlotter image: 2020-03-24-OpenPlotter-v2-Moitessier-HAT-img
# sudo apt-get update
# sudo apt-get upgrade
# sudo apt-get dist-upgrade --> these commands will install kernel version 5.4.51 on your system
# Download the latest Moitessier package (moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb) from our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
# Install the package: sudo dpkg -i moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb
# Check if HAT is accessible (after reboot): cat /dev/moitessier.spi

Okay, this gives me: https://i.imgur.com/EJeeu5j.png

Tonight I will try with a new SD on Raspy 4 and HAT v.1 and without MCS card. I'll let you know. Thanks anyway and good wind!  Cool

If you get this output, Moitessier package is installed correctly and HAT is working as expected.
Do you face other problems or is issue solved now?
Reply
#45
(2020-07-30, 09:55 AM)Rooco Wrote:
(2020-07-30, 09:50 AM)Max1947 Wrote:
(2020-07-30, 09:42 AM)Rooco Wrote:
(2020-07-30, 09:17 AM)Max1947 Wrote:
(2020-07-30, 05:16 AM)nebosa Wrote: But you can find the file Smile
That's a good thing.
Unfortunately, the file is an incorrect file.
Unfortunately the forum software changes the link when I send it.
If you want to start another try please send me your email address as a PM here in the forum

... Big Grin Thanks friend, the problem is in the Raspy kernel which blocks the "serial" with the MSC card mounted. Thomas, your countryman, is providing ... see: https://forum.openmarine.net/showthread....7#pid15187

We feel and still good wind. Magnificent sunshine today, so sail!  Smile

(2020-07-29, 09:51 PM)Rooco Wrote: You SHOULD NOT install moitessier_5.4.51_2.1.0_armhf.deb!!!!!
You are always trying to install the wrong package.


Use the package found at our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
Package name: moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb

Ok, see: https://i.imgur.com/7ZxO6Mz.png

However it seems that the problem is this: https://forum.openmarine.net/showthread....7#pid15187   Angry

Just to ensure we are all talking about the same issue. Your problem is, that the installation of the Moitessier package fails due to an input/output error. Is that correct?
This error is caused by using a none compatible Moitessier package / kernel version combination.

I tested the package again yesterday.
This is my setup:
# Raspberry Pi 4 with HAT 1 and HAT 2
# Used OpenPlotter image: 2020-03-24-OpenPlotter-v2-Moitessier-HAT-img
# sudo apt-get update
# sudo apt-get upgrade
# sudo apt-get dist-upgrade --> these commands will install kernel version 5.4.51 on your system
# Download the latest Moitessier package (moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb) from our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
# Install the package: sudo dpkg -i moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb
# Check if HAT is accessible (after reboot): cat /dev/moitessier.spi

Okay, this gives me: https://i.imgur.com/EJeeu5j.png

Tonight I will try with a new SD on Raspy 4 and HAT v.1 and without MCS card. I'll let you know. Thanks anyway and good wind!  Cool

If you get this output, Moitessier package is installed correctly and HAT is working as expected.
Do you face other problems or is issue solved now?

Smile  https://i.imgur.com/tdPAYOP.png

Eureka, it works !!! I will check well later, ciao and thank you!
Reply
#46
(2020-07-30, 10:08 AM)Max1947 Wrote:
(2020-07-30, 09:55 AM)Rooco Wrote:
(2020-07-30, 09:50 AM)Max1947 Wrote:
(2020-07-30, 09:42 AM)Rooco Wrote:
(2020-07-30, 09:17 AM)Max1947 Wrote: ... Big Grin Thanks friend, the problem is in the Raspy kernel which blocks the "serial" with the MSC card mounted. Thomas, your countryman, is providing ... see: https://forum.openmarine.net/showthread....7#pid15187

We feel and still good wind. Magnificent sunshine today, so sail!  Smile


Ok, see: https://i.imgur.com/7ZxO6Mz.png

However it seems that the problem is this: https://forum.openmarine.net/showthread....7#pid15187   Angry

Just to ensure we are all talking about the same issue. Your problem is, that the installation of the Moitessier package fails due to an input/output error. Is that correct?
This error is caused by using a none compatible Moitessier package / kernel version combination.

I tested the package again yesterday.
This is my setup:
# Raspberry Pi 4 with HAT 1 and HAT 2
# Used OpenPlotter image: 2020-03-24-OpenPlotter-v2-Moitessier-HAT-img
# sudo apt-get update
# sudo apt-get upgrade
# sudo apt-get dist-upgrade --> these commands will install kernel version 5.4.51 on your system
# Download the latest Moitessier package (moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb) from our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
# Install the package: sudo dpkg -i moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb
# Check if HAT is accessible (after reboot): cat /dev/moitessier.spi

Okay, this gives me: https://i.imgur.com/EJeeu5j.png

Tonight I will try with a new SD on Raspy 4 and HAT v.1 and without MCS card. I'll let you know. Thanks anyway and good wind!  Cool

If you get this output, Moitessier package is installed correctly and HAT is working as expected.
Do you face other problems or is issue solved now?

Smile  https://i.imgur.com/tdPAYOP.png

Eureka, it works !!! I will check well later, ciao and thank you!

Is it working with the MCS, or without? I have the MCS and Im in the same state you have been and have been waiting for a resolution.
Reply
#47
@jamieFL, hi. It works with the MCS card mounted but the serial ports of the same card remain blocked. See what Thomas says:
https://forum.openmarine.net/showthread....7#pid15187
To have the MCS card fully functional I think it will take more time!  Big Grin Confused
Reply
#48
(2020-07-30, 09:55 AM)Rooco Wrote:
(2020-07-30, 09:50 AM)Max1947 Wrote:
(2020-07-30, 09:42 AM)Rooco Wrote:
(2020-07-30, 09:17 AM)Max1947 Wrote:
(2020-07-30, 05:16 AM)nebosa Wrote: But you can find the file Smile
That's a good thing.
Unfortunately, the file is an incorrect file.
Unfortunately the forum software changes the link when I send it.
If you want to start another try please send me your email address as a PM here in the forum

... Big Grin Thanks friend, the problem is in the Raspy kernel which blocks the "serial" with the MSC card mounted. Thomas, your countryman, is providing ... see: https://forum.openmarine.net/showthread....7#pid15187

We feel and still good wind. Magnificent sunshine today, so sail!  Smile

(2020-07-29, 09:51 PM)Rooco Wrote: You SHOULD NOT install moitessier_5.4.51_2.1.0_armhf.deb!!!!!
You are always trying to install the wrong package.


Use the package found at our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
Package name: moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb

Ok, see: https://i.imgur.com/7ZxO6Mz.png

However it seems that the problem is this: https://forum.openmarine.net/showthread....7#pid15187   Angry

Just to ensure we are all talking about the same issue. Your problem is, that the installation of the Moitessier package fails due to an input/output error. Is that correct?
This error is caused by using a none compatible Moitessier package / kernel version combination.

I tested the package again yesterday.
This is my setup:
# Raspberry Pi 4 with HAT 1 and HAT 2
# Used OpenPlotter image: 2020-03-24-OpenPlotter-v2-Moitessier-HAT-img
# sudo apt-get update
# sudo apt-get upgrade
# sudo apt-get dist-upgrade --> these commands will install kernel version 5.4.51 on your system
# Download the latest Moitessier package (moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb) from our web page: https://www.rooco.eu/2018/06/13/firmware...ssier-hat/
# Install the package: sudo dpkg -i moitessier_1.20200723-1_5.4.51_2.1.0_armhf.deb
# Check if HAT is accessible (after reboot): cat /dev/moitessier.spi

Okay, this gives me: https://i.imgur.com/EJeeu5j.png

Tonight I will try with a new SD on Raspy 4 and HAT v.1 and without MCS card. I'll let you know. Thanks anyway and good wind!  Cool

If you get this output, Moitessier package is installed correctly and HAT is working as expected.
Do you face other problems or is issue solved now?
Huh  Well, I cheered too quickly. At the re-ignition, everything returned as before. I also tried with a new SD starting from scratch. The problem does not go away. You see:

https://i.imgur.com/r1kRHIo.png

https://i.imgur.com/TuKkoll.png

https://i.imgur.com/0KFkLL1.png
Reply
#49
Hello, everyone,
I have the same problem. So the same error message. I don't get a response with "cat /dev/moitessier.spi".
I use a P3+ and the HAT V.1

Greetings Jürgen

P.S. I had addressed this problem in another threat. I deleted it because I missed that threat before.
Angel  Entschuldigung für mein Englisch. Es ist "deepl.com english"
PN bitte auf german.  Big Grin
Reply
#50
I couldn't get ir working either so I decided to roll back until this all gets figured out.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)